> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get a Gift

GET https://api.virtuoussoftware.com/api/Gift/{giftId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/get-a-gift

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `giftId` (string, required)

## Response

### 200

OK

- `id` (string, optional)
- `transactionSource` (string, optional)
- `transactionId` (string, optional)
- `contactId` (string, optional)
- `contactName` (string, optional)
- `contactUrl` (string, optional)
- `giftType` (string, optional)
- `giftTypeFormatted` (string, optional)
- `giftDate` (string, optional)
- `giftDateFormatted` (string, optional)
- `amount` (string, optional)
- `amountFormatted` (string, optional)
- `currencyCode` (string, optional)
- `exchangeRate` (string, optional)
- `baseCurrencyCode` (string, optional)
- `batch` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `segmentId` (string, optional)
- `segment` (string, optional)
- `segmentCode` (string, optional)
- `segmentUrl` (string, optional)
- `mediaOutletId` (string, optional)
- `mediaOutlet` (string, optional)
- `grantId` (string, optional)
- `grant` (string, optional)
- `grantUrl` (string, optional)
- `notes` (string, optional)
- `tribute` (string, optional)
- `tributeId` (string, optional)
- `tributeType` (string, optional)
- `acknowledgeeIndividualId` (string, optional)
- `receiptDate` (string, optional)
- `receiptDateFormatted` (string, optional)
- `contactPassthroughId` (string, optional)
- `contactPassthroughUrl` (string, optional)
- `contactIndividualId` (string, optional)
- `cashAccountingCode` (string, optional)
- `giftAskId` (string, optional)
- `contactMembershipId` (string, optional)
- `giftDesignations` (list of ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaGiftDesignationsItems, optional)
- `giftPremiums` (list of ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaGiftPremiumsItems, optional)
- `pledgePayments` (list of ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaPledgePaymentsItems, optional)
- `recurringGiftPayments` (list of ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItems, optional)
- `giftUrl` (string, optional)
- `isPrivate` (string, optional)
- `isTaxDeductible` (string, optional)
- `customFields` (list of ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaGiftDesignationsItems

- `id` (string, optional)
- `projectId` (string, optional)
- `project` (string, optional)
- `projectCode` (string, optional)
- `externalAccountingCode` (string, optional)
- `projectType` (string, optional)
- `projectLocation` (string, optional)
- `projectUrl` (string, optional)
- `amountDesignated` (string, optional)
- `display` (string, optional)

### ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaGiftPremiumsItems

- `id` (string, optional)
- `premiumId` (string, optional)
- `premium` (string, optional)
- `premiumUrl` (string, optional)
- `quantity` (string, optional)
- `display` (string, optional)

### ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaPledgePaymentsItems

- `id` (string, optional)
- `expectedPaymentDate` (string, optional)
- `expectedAmount` (string, optional)
- `giftId` (string, optional)
- `actualAmount` (string, optional)

### ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItems

- `id` (string, optional)
- `gift` (ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItemsGift, optional)
- `expectedAmount` (string, optional)
- `expectedPaymentDate` (string, optional)
- `dismissPaymentDate` (string, optional)
- `fulfillPaymentDate` (string, optional)

### ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiGiftGiftIdGetResponsesContentApplicationJsonSchemaRecurringGiftPaymentsItemsGift

- `id` (string, optional)
- `contactId` (string, optional)
- `giftDate` (string, optional)
- `amount` (string, optional)

## Examples

**Response**

```json
{
  "id": "<integer>",
  "transactionSource": "<string>",
  "transactionId": "<string>",
  "contactId": "<integer>",
  "contactName": "<string>",
  "contactUrl": "<string>",
  "giftType": "<string>",
  "giftTypeFormatted": "<string>",
  "giftDate": "<dateTime>",
  "giftDateFormatted": "<string>",
  "amount": "<double>",
  "amountFormatted": "<string>",
  "currencyCode": "<string>",
  "exchangeRate": "<decimal>",
  "baseCurrencyCode": "<string>",
  "batch": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "segmentCode": "<string>",
  "segmentUrl": "<string>",
  "mediaOutletId": "<integer>",
  "mediaOutlet": "<string>",
  "grantId": "<integer>",
  "grant": "<string>",
  "grantUrl": "<string>",
  "notes": "<string>",
  "tribute": "<string>",
  "tributeId": "<integer>",
  "tributeType": "<string>",
  "acknowledgeeIndividualId": "<integer>",
  "receiptDate": "<dateTime>",
  "receiptDateFormatted": "<string>",
  "contactPassthroughId": "<integer>",
  "contactPassthroughUrl": "<string>",
  "contactIndividualId": "<integer>",
  "cashAccountingCode": "<string>",
  "giftAskId": "<integer>",
  "contactMembershipId": "<integer>",
  "giftDesignations": [
    {
      "id": "<integer>",
      "projectId": "<integer>",
      "project": "<string>",
      "projectCode": "<string>",
      "externalAccountingCode": "<string>",
      "projectType": "<string>",
      "projectLocation": "<string>",
      "projectUrl": "<string>",
      "amountDesignated": "<double>",
      "display": "<string>"
    },
    {
      "id": "<integer>",
      "projectId": "<integer>",
      "project": "<string>",
      "projectCode": "<string>",
      "externalAccountingCode": "<string>",
      "projectType": "<string>",
      "projectLocation": "<string>",
      "projectUrl": "<string>",
      "amountDesignated": "<double>",
      "display": "<string>"
    }
  ],
  "giftPremiums": [
    {
      "id": "<integer>",
      "premiumId": "<integer>",
      "premium": "<string>",
      "premiumUrl": "<string>",
      "quantity": "<integer>",
      "display": "<string>"
    },
    {
      "id": "<integer>",
      "premiumId": "<integer>",
      "premium": "<string>",
      "premiumUrl": "<string>",
      "quantity": "<integer>",
      "display": "<string>"
    }
  ],
  "pledgePayments": [
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    },
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    }
  ],
  "recurringGiftPayments": [
    {
      "id": "<integer>",
      "gift": {
        "id": "<integer>",
        "contactId": "<integer>",
        "giftDate": "<dateTime>",
        "amount": "<double>"
      },
      "expectedAmount": "<double>",
      "expectedPaymentDate": "<dateTime>",
      "dismissPaymentDate": "<dateTime>",
      "fulfillPaymentDate": "<dateTime>"
    },
    {
      "id": "<integer>",
      "gift": {
        "id": "<integer>",
        "contactId": "<integer>",
        "giftDate": "<dateTime>",
        "amount": "<double>"
      },
      "expectedAmount": "<double>",
      "expectedPaymentDate": "<dateTime>",
      "dismissPaymentDate": "<dateTime>",
      "fulfillPaymentDate": "<dateTime>"
    }
  ],
  "giftUrl": "<string>",
  "isPrivate": "<boolean>",
  "isTaxDeductible": "<boolean>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Giving_getAGift_example
import requests

url = "https://api.virtuoussoftware.com/api/Gift/giftId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Giving_getAGift_example
const url = 'https://api.virtuoussoftware.com/api/Gift/giftId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_getAGift_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Gift/giftId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_getAGift_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Gift/giftId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Giving_getAGift_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Gift/giftId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Giving_getAGift_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/Gift/giftId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Giving_getAGift_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Gift/giftId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Giving_getAGift_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Gift/giftId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```